import { MapName } from "./definitions/adventureland";
import { ActionData, CharacterData, EntityData } from "./definitions/adventureland-server";
export declare class Tools {
    static calculateDamageRange(attacker: EntityData | CharacterData, defender: EntityData | CharacterData): [number, number];
    static distance(a: {
        x: number;
        y: number;
        map?: MapName;
    }, b: {
        x: number;
        y: number;
        map?: MapName;
    }): number;
    static willBurnToDeath(entity: EntityData): boolean;
    static willDieToProjectiles(entity: EntityData, projectiles: Map<string, ActionData>): boolean;
}
